On this page
No Headings
Deprecation notice: TheCaptures a payment for an order, by ID. To use this call, the original payment call must specify an/v1/paymentsendpoint is deprecated. Use the/v2/paymentsendpoint instead. For details, see PayPal Checkout Basic Integration.
order intent. In the JSON request body, include the payment amount and indicate whether this capture is the final capture for the authorization.Oauth 2.0 authentication
In: header
Scope: https://api.paypal.com/v1/payments/.*
The ID of the order to authorize.
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
curl -X POST "https://api-m.sandbox.paypal.com/v1/payments/orders/string/capture" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"amount": {
"currency": "string",
"total": "string",
"details": {
"subtotal": "string",
"shipping": "string",
"tax": "string",
"handling_fee": "string",
"shipping_discount": "string",
"insurance": "string",
"gift_wrap": "string"
}
},
"is_final_capture": false,
"state": "pending",
"reason_code": "CHARGEBACK",
"parent_payment": "string",
"invoice_number": "string",
"transaction_fee": {
"currency": "string",
"value": "string"
},
"transaction_fee_in_receivable_currency": {
"currency": "string",
"value": "string"
},
"receivable_amount": {
"currency": "string",
"value": "string"
},
"exchange_rate": "string",
"note_to_payer": "string",
"create_time": "2019-08-24T14:15:22Z",
"update_time": "2019-08-24T14:15:22Z",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"information_link": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}The amount to capture. If the amount matches the originally authorized amount, the state of the authorization changes to captured. Otherwise, the state changes to partially_captured.
Indicates whether to release all remaining held funds.
falseThe invoice number to track this payment.
length <= 127A free-form field that clients can use to send a note to the payer.
length <= 255